package com.example.WebClient;

import com.example.*;
import org.slf4j.*;
import org.springframework.http.*;
import org.springframework.stereotype.*;
import org.springframework.util.*;
import org.springframework.web.reactive.function.*;
import org.springframework.web.reactive.function.client.*;
import reactor.core.publisher.*;
import reactor.core.scheduler.*;

import java.util.concurrent.*;

@Component
public class KafkaWebClient {

    private static final Logger LOGGER = LoggerFactory.getLogger(KafkaWebClient.class);
    WebClient webClient = WebClient.builder()
            .baseUrl("http://localhost:8080/")
            .defaultHeader(HttpHeaders.CONTENT_TYPE, "application/json")
            .build();



    public void sendKafkaTopicWebClient() {
        LOGGER.info("sendKafkaTopicWebClient ::");
        webClient.post()
                .uri("kafkaTopic/sendData")
                .retrieve()
                .bodyToMono(Integer.class)
                //.flatMapMany(clientResponse -> clientResponse.bodyToMono(Integer.class))
                /*.retrieve()
                .bodyToFlux(String.class)
 */               .log()
                .subscribe();


    }



}
