package com.example.util;

public class JsonUtils {

    public JsonUtils() {
    }

    public static final String PREFIX = "{";
    public static final String SUFFIX = "}";
    public static final String SEPARATOR = ":";
    public static final String DOUBLE_QUOTES = "\"";
    public static final String COMMA = ",";
    public static final String ARRAY_PREFIX = "[";
    public static final String ARRAY_SUFFIX = "]";

    public static void jsonVariable(StringBuffer jsonVar, String key, String value) {
        jsonVar.append(DOUBLE_QUOTES).append(key).append(DOUBLE_QUOTES).append(SEPARATOR).append(DOUBLE_QUOTES).append(value).append(DOUBLE_QUOTES).append(COMMA);
    }

    public static String addObjectBodyToJson(StringBuffer jsonBody) {
        jsonBody.insert(0, PREFIX).append(SUFFIX).append(COMMA);
        return jsonBody.toString();
    }

    public static void addListPrefixToJson(StringBuffer jsonObject) {
        jsonObject.insert(0, ARRAY_PREFIX);
    }

    public static void addListSuffixToJson(StringBuffer jsonObject) {
        jsonObject.append(ARRAY_SUFFIX);
    }
}
