package com.example.Controller;

import com.example.KafkaProducer.*;
import com.example.service.*;
import org.springframework.beans.factory.annotation.*;
import org.springframework.http.*;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.*;

import javax.validation.*;
import java.util.concurrent.*;

@RestController
@RequestMapping("/kafkaTopic")
public class CopientKafkaController {
    @Autowired
    ReactorKafkaProducer reactorKafkaProducer;

    @PostMapping("/sendData")
    public void sendDataToKafka() {
        System.out.println("Send Data to Kakfa Topic: " );
        try {

            reactorKafkaProducer.sendMessages();
            reactorKafkaProducer.close();

        } catch (InterruptedException e) {
            e.printStackTrace();
        }

    }

}
