package com.example;

import com.example.KafkaProducer.*;
import com.example.WebClient.*;
import com.example.config.*;
import com.example.service.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.*;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.*;
import org.springframework.boot.autoconfigure.jdbc.*;
import org.springframework.boot.autoconfigure.web.servlet.*;
import org.springframework.context.*;
import org.springframework.context.annotation.*;
import org.springframework.context.support.*;
import org.springframework.core.io.*;
import org.springframework.util.*;
import org.springframework.web.reactive.config.*;
import reactor.core.publisher.*;

import java.io.*;
import java.nio.charset.*;
import java.time.Duration;
import java.time.Instant;
import java.time.LocalDateTime;
import java.util.concurrent.*;

@SpringBootApplication
@EnableWebFlux
@EnableAutoConfiguration(exclude = { DataSourceAutoConfiguration.class, WebMvcAutoConfiguration.class })
@ComponentScan("com.example")
public class SpringDataTransformerApplication {

    private static final Logger LOGGER = LoggerFactory.getLogger(SpringDataTransformerApplication.class);

    //static WebclientService webclientService=new WebclientService();


    public static void main(String[] args) throws IOException, InterruptedException {
        //AbstractApplicationContext appContext = new AnnotationConfigApplicationContext(KafkaConfig.class);

        ApplicationContext context = SpringApplication.run(SpringDataTransformerApplication.class, args);
        /*CsvReader dataReader = context.getBean(CsvReader.class);
        LOGGER.info("Transformation Started: {}", LocalDateTime.now());
        Instant start = Instant.now();
        String json = dataReader.convert(args[0], args[1]);
        LOGGER.info(json.isEmpty() ? "Data Not Found For Transformation" : "CSV Data transformed to JSON Successfully");
        Instant finish = Instant.now();
        LOGGER.info("Transformation Ended: {}", LocalDateTime.now());
        long timeElapsed = Duration.between(start, finish).getSeconds();
        LOGGER.info("Time Taken for Transformation: " + timeElapsed + " seconds");
*/
        WebclientService webclientService = context.getBean(WebclientService.class);
         webclientService.sendData();
        /*ReactorKafkaProducer reactorKafkaProducer = context.getBean(ReactorKafkaProducer.class);

        CountDownLatch latch = new CountDownLatch(count);
        reactorKafkaProducer.sendMessages(count, latch);
        latch.await(10, TimeUnit.SECONDS);
        reactorKafkaProducer.close();*/
    }
}
